Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
   		get "/calendars/agenda" => "calendars#agenda"
    	resources :calendars
    	resources :calendar_types
   end

   get "/xhr/calendars/events" => "calendars#events"
   get "/xhr/calendars/agenda"  => "calendars#agenda"
  end
  
end

